"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantValidation(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "validationResult",
        "validationTechnology",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_13 import reports as reports_6_5_0

        return {
            "validationResult": reports_6_5_0.ValidationResult,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_13 import reports as reports_6_5_0

        return {
            "org.gel.models.report.avro.ValidationResult": reports_6_5_0.ValidationResult,
            "org.gel.models.report.avro.VariantValidation": reports_6_5_0.VariantValidation,
        }

    __slots__ = [
        "validationResult",
        "validationTechnology",
    ]

    def __init__(
        self,
        validationResult,
        validationTechnology,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_5_0.VariantValidation model.

        :param validationResult:
            Status/outcome of validation
        :type validationResult: ValidationResult
        :param validationTechnology:
            Technology used to perform secondary confirmation of this variant
            (e.g. Sanger)
        :type validationTechnology: str
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.5.0"
